Thanks for using react-virtualized! Here are a couple of things to consider before filing an issue:

# Are you asking a question?
Please don't file Github issues to ask questions. Use Stack Overflow (http://stackoverflow.com/questions/tagged/react-virtualized) with a #react-virtualized tag or the react-virtualized Gitter chat room (https://gitter.im/bvaughn/react-virtualized).

Both of these areas are monitored by people other than me and so are likely to get faster responses. Question issues may be closed without a response.

# Are you reporting a bug or runtime error?
Setting up a test case that demonstrates a bug can be difficult and time consuming. However this can often be a huge help and time saver for me. Since I maintain this library in my spare time and without any charges, I ask that you take the time to provide me with some way of reproducing the issue you are reporting. (Videos can be helpful but in most cases I will want to actually see a live demo and view your source code.)

Here is a Plunker you can fork that has React Virtualized loaded and supports JSX syntax: https://plnkr.co/edit/6syKo8cx3RfoO96hXFT1

You may also find the online Babel tool (https://babeljs.io/repl/) quite helpful if you wish to use ES6/ES7 syntax not yet supported by the browser you are using.

# Are you making a feature request?
Provide as much information as possible about your requested feature. Here are a few questions you may consider answering:
* What's your use case? (Tell me about your application and what problem you're trying to solve.)
* What interface do you have in mind? (What new properties or methods do you think might be helpful?)
* Can you point to similar functionality with any existing libraries or components? (Working demos can be helpful.)
